## modules to load
server.modules = (
            "mod_alias",
            "mod_compress",
            "mod_cgi",
#           "mod_rewrite",
#           "mod_redirect",
#           "mod_usertrack",
#           "mod_expire",
#           "mod_flv_streaming",
#           "mod_evasive"
)

## a static document-root, for virtual-hosting take look at the
## server.virtual-* options
server.document-root = "__ROOT__/html"

## where to upload files to, purged daily.
server.upload-dirs = ("__ROOT__/lighttpd-uploads")

## where to send error-messages to
server.errorlog = "__ROOT__/lighttpd-error.log"

## files to check for if .../ is requested
index-file.names = (
    "index.php",
    "index.cgi",
    "index.py",
    "index.pl",
    "index.html",
    "index.htm",
    "default.htm",
    "index.lighttpd.html",
)

## Use the "Content-Type" extended attribute to obtain mime type if possible
# mimetype.use-xattr = "enable"

##
# which extensions should not be handle via static-file transfer
#
# .php, .pl, .fcgi are most often handled by mod_fastcgi or mod_cgi
static-file.exclude-extensions = (".php", ".pl", ".fcgi")


cgi.assign = (
    ".pl" => "/usr/bin/perl",
    ".php" => "/usr/bin/php-cgi",
    ".py" => "/usr/bin/python",
)


$HTTP["url"] =~ "^/cgi-bin/" {
    cgi.assign += ("" => "")
}





######### Options that are good to be but not neccesary to be changed #######

## Use ipv6 only if available. (disabled for while, check #560837)
#include_shell "/usr/share/lighttpd/use-ipv6.pl"

## bind to port (default: 80)
server.port = __HTTP_PORT__

## bind to localhost only (default: all interfaces)
server.bind = "localhost"

## error-handler for status 404
#server.error-handler-404  = "/error-handler.html"
#server.error-handler-404  = "/error-handler.php"

## to help the rc.scripts
server.pid-file = "__ROOT__/lighttpd.pid"

##
## Format: <errorfile-prefix><status>.html
## -> ..../status-404.html for 'File not found'
#server.errorfile-prefix    = "/var/www/"

## virtual directory listings
dir-listing.encoding = "utf-8"
server.dir-listing = "enable"

### only root can use these options
#
# chroot() to directory (default: no chroot() )
#server.chroot            = "/"

## change uid to <uid> (default: don't change)
# server.username            = "www-data"

## change gid to <gid> (default: don't change)
# server.groupname           = "www-data"

#### compress module
compress.cache-dir = "__ROOT__/lighttpd-compress/"
compress.filetype = ("text/plain", "text/html", "application/x-javascript", "text/css")

#### url handling modules (rewrite, redirect, access)
# url.rewrite                 = ( "^/$"             => "/server-status" )
# url.redirect                = ( "^/wishlist/(.+)" => "http://www.123.org/$1" )

#### expire module
# expire.url                  = ( "/buggy/" => "access 2 hours", "/asdhas/" => "access plus 1 seconds 2 minutes")

#### external configuration files
## mimetype mapping
include_shell "/usr/share/lighttpd/create-mime.assign.pl"

## load enabled configuration files,
## read /etc/lighttpd/conf-available/README first
# include_shell "/usr/share/lighttpd/include-conf-enabled.pl"


# vim:filetype=lighttpd
